Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class AttrNSImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.AttrImpl
                  |
                  +--org.apache.xerces.dom.AttrNSImpl

All Implemented Interfaces:
  org.w3c.dom.Attr, java.lang.Cloneable, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.apache.xerces.dom3.TypeInfo

Direct Known Subclasses:
  DeferredAttrNSImpl, PSVIAttrNSImpl

public class AttrNSImpl
extends AttrImpl

AttrNSImpl inherits from AttrImpl and adds namespace support.

The qualified name is the node name, and we store localName which is also used in all queries. On the other hand we recompute the prefix when necessary.

Version:
  $Id: AttrNSImpl.java,v 1.43 2004/02/16 05:34:38 mrglavas Exp $
Author:
  Arnaud Le Hors, IBM, Andy Clark, IBM, Ralf Pfeiffer, IBM
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `localName` DOM2: localName.
`protected java.lang.String` | `namespaceURI` DOM2: Namespace URI.

Fields inherited from class org.apache.xerces.dom.AttrImpl
`name, textNode, value`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.apache.xerces.dom3.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`` | `AttrNSImpl()`
`protected` | `AttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String value)`
`protected` | `AttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName)` DOM2: Constructor for Namespace implementation.
`` | `AttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String localName)`

Method Summary
`java.lang.String` | `getLocalName()` Introduced in DOM Level 2.
`java.lang.String` | `getNamespaceURI()` Introduced in DOM Level 2.
`java.lang.String` | `getPrefix()` Introduced in DOM Level 2.
`java.lang.String` | `getTypeName()` The name of a type declared for the associated element or attribute, or `null` if unknown.
`java.lang.String` | `getTypeNamespace()` The namespace of the type declared for the associated element or attribute or `null` if the element does not have declaration or if no namespace information is available.
`boolean` | `isDerivedFrom(java.lang.String typeNamespaceArg, java.lang.String typeNameArg, int derivationMethod)` DOM Level 3 Experimental
`void` | `setPrefix(java.lang.String prefix)` Introduced in DOM Level 2.
`void` | `setValues(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String localName)` NON-DOM: resets this node and sets specified values for the node

Methods inherited from class org.apache.xerces.dom.AttrImpl
`cloneNode, getChildNodes, getElement, getFirstChild, getLastChild, getLength, getName, getNodeName, getNodeType, getNodeValue, getOwnerElement, getSchemaTypeInfo, getSpecified, getValue, hasChildNodes, insertBefore, isEqualNode, isId, item, makeChildNode, normalize, removeChild, replaceChild, setIdAttribute, setNodeValue, setReadOnly, setSpecified, setType, setValue, synchronizeChildren, toString`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getContainer, getFeature, getNextSibling, getNodeNumber, getOwnerDocument, getParentNode, getPreviousSibling, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setTextContent, setUserData, setUserData, synchronizeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, getAttributes, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, hasAttributes, isSupported`

Field Detail

### namespaceURI

    protected java.lang.String namespaceURI

  DOM2: Namespace URI.

### localName

    protected java.lang.String localName

  DOM2: localName.

Constructor Detail

### AttrNSImpl

    public AttrNSImpl()

### AttrNSImpl

    protected AttrNSImpl(CoreDocumentImpl ownerDocument,
                         java.lang.String namespaceURI,
                         java.lang.String qualifiedName)

  DOM2: Constructor for Namespace implementation.

### AttrNSImpl

    public AttrNSImpl(CoreDocumentImpl ownerDocument,
                      java.lang.String namespaceURI,
                      java.lang.String qualifiedName,
                      java.lang.String localName)

### AttrNSImpl

    protected AttrNSImpl(CoreDocumentImpl ownerDocument,
                         java.lang.String value)

Method Detail

### setValues

    public void setValues(CoreDocumentImpl ownerDocument,
                          java.lang.String namespaceURI,
                          java.lang.String qualifiedName,
                          java.lang.String localName)

  NON-DOM: resets this node and sets specified values for the node
  Parameters:
    `ownerDocument` -
    `namespaceURI` -
    `qualifiedName` -
    `localName` -

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Introduced in DOM Level 2.

  The namespace URI of this node, or null if it is unspecified.

  This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time.

  For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

  Overrides:
    `getNamespaceURI` in class `NodeImpl`
  Since:
    WD-DOM-Level-2-19990923

### getPrefix

    public java.lang.String getPrefix()

  Introduced in DOM Level 2.

  The namespace prefix of this node, or null if it is unspecified.

  For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

  Overrides:
    `getPrefix` in class `NodeImpl`
  Since:
    WD-DOM-Level-2-19990923

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Introduced in DOM Level 2.

  Note that setting this attribute changes the nodeName attribute, which holds the qualified name, as well as the tagName and name attributes of the Element and Attr interfaces, when applicable.

  Overrides:
    `setPrefix` in class `NodeImpl`
  Parameters:
    `prefix` - The namespace prefix of this node, or null(empty string) if it is unspecified.
  Throws:
    `INVALID_CHARACTER_ERR` - Raised if the specified prefix contains an invalid character.
    `org.w3c.dom.DOMException` -
  Since:
    WD-DOM-Level-2-19990923

### getLocalName

    public java.lang.String getLocalName()

  Introduced in DOM Level 2.

  Returns the local part of the qualified name of this node.

  Overrides:
    `getLocalName` in class `NodeImpl`
  Since:
    WD-DOM-Level-2-19990923

### getTypeName

    public java.lang.String getTypeName()

  Description copied from interface: `org.apache.xerces.dom3.TypeInfo`
  The name of a type declared for the associated element or attribute, or `null` if unknown.
  Overrides:
    `getTypeName` in class `AttrImpl`
  See Also:
    `TypeInfo.getTypeName()`

### isDerivedFrom

    public boolean isDerivedFrom(java.lang.String typeNamespaceArg,
                                 java.lang.String typeNameArg,
                                 int derivationMethod)

  DOM Level 3 Experimental
  Overrides:
    `isDerivedFrom` in class `AttrImpl`
  See Also:
    `org.apache.xerces.dom3.TypeInfo#isDerivedFrom()`

### getTypeNamespace

    public java.lang.String getTypeNamespace()

  Description copied from interface: `org.apache.xerces.dom3.TypeInfo`
  The namespace of the type declared for the associated element or attribute or `null` if the element does not have declaration or if no namespace information is available.
  Overrides:
    `getTypeNamespace` in class `AttrImpl`
  See Also:
    `TypeInfo.getTypeNamespace()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.